<?php
/** 
 * 
 * @author Piotr Kozdęba <piotr.ko@modulesgarden.com>
 */
class OPO_Configuration_Configuration
{
    static $configarray = array
    (
        'name'          => 'One Page Order Form',
        'description'   => "This addon module adds needed files to make One Page Order Form working",
        'version'       => '1.0.4',
        'author'        => '<a href="http://www.modulesgarden.com" target="_blank">ModulesGarden</a>',   
        "fields" => array
        (
        )
    );
    
    static $core_debug_mode = false;             //true = error_reporting and ini_set are setted globally and will be loaded as soon as WHMCS require module (without using its functions) - this ads some additional debug information sometimes    
    static $debug_mode = false;                  //true = show full error messages on crashes
    static $log_errors = true;                   //true = log errors messages to module log
    
    static $module_name = 'onepageorderform';
    static $template_name = 'onepageorderform';
        
    static $default_controller = 'index';
    static $default_action = 'index';
    
    private static $config_loaded = false;      //true if config has been loaded
    
    public static function loadConfig() 
    {
        $file = OPO_OWN_DIR.'moduleconfig.php';
        if(file_exists($file))
        {   
            require_once $file;
            if (isset($core_debug_mode))                            { self::$core_debug_mode    = $core_debug_mode; }
            if (isset($debug_mode))                                 { self::$debug_mode         = $debug_mode;      }
            if (isset($log_errors))                                 { self::$log_errors         = $log_errors;      }
        }
        
        self::$config_loaded = true;
    }
    
    public static function init()
    {
        if (!self::$config_loaded) self::loadConfig();
    }
    
}