<?php
/**
 * 
 * @author Piotr Kozdęba <piotr.ko@modulesgarden.com>
 */


//LOADING ENVIRONMENT
//===========================================================================================================================================================
//

require_once dirname(dirname(__FILE__)).DIRECTORY_SEPARATOR.'requestsstart.php';
        
//CLASS AUTOLOADER:
onepageorderform_loadAutoloader();


//Configuration setup:
OPO_Configuration_Configuration::init();


//DATABASE:
$db = new OPO_Database_Database();


//LIBRARIES:
//None needed here.


//ERROR HANDLING
//===========================================================================================================================================================
onepageorderform_loadErrorHandler();


//ACTIONS
//===========================================================================================================================================================
//
$controller = isset($_GET['c'])?$_GET['c']:OPO_Configuration_Configuration::$default_controller;
$action = isset($_GET['a'])?$_GET['a']:OPO_Configuration_Configuration::$default_action;

$controller_name = 'OPO_Pages_'.$controller;

$controller = new $controller_name();

$controller_methods = get_class_methods($controller);

if ($action_[0]!='_')
{
    $action = 'action'.ucfirst($action);
}
else
{
    $action='action'.ucfirst(OPO_Configuration_Configuration::$default_action);
}

if(!in_array($action, $controller_methods))
{
    $action='action'.ucfirst(OPO_Configuration_Configuration::$default_action);
}

$content = $controller->_run($controller,$action);

echo $content;

onepageorderform_unloadErrorHandler();
onepageorderform_unloadAutoloader();

