<script type="text/javascript">
    var testax ='{$smarty.request.ajax}{$ajax}';
    if (!testax) {
        location.href='cart.php';
    }
</script>
<h2>5. {$LANG.cartenterpromo}</h2>
<div class="clearfix">&nbsp;</div>

{*PROMOTION CODE: ------------------------------------------------------------------------------------------------------*}
<div id="promocodeholder">
    <div class="row">

        <div class="col-md-3 text-right">{$LANG.cartpromo}</div>
        <div class="col-md-4">
            <input type="text" id="promocode" class="form-control input-md" size="20" value="{$promotioncode}" />
        </div>
        <div class="col-md-2">
            <input type="button" value="{$LANG.orderpromovalidatebutton}" class="btn btn-warning" onclick="applypromo()" />
            <span id="promotion_valid_indicator">{if $promotioncode && $rawdiscount eq "0.00"}<img src="assets/img/statusfailed.gif" border="0" alt=""/>{/if}</span>
        </div>
    </div>
    <div class="row">
            
        <div class="col-md-3"></div>
        <div class="col-md-7" id="promotion_valid_error">{if $promotioncode && $rawdiscount eq "0.00"}{$LANG.promoappliedbutnodiscount}{/if}</div>    
    
    </div>
</div>

{*----------------------------------------------------------------------------------------------------------------------*}
    

<h2>6. {$LANG.ordersummary}</h2>
<div class="clearfix">&nbsp;</div>

<div class="loading"><img src="assets/img/loading.gif" border="0" alt="{$LANG.loading}" /></div>

{if !$cartitems}

<div class="row">
    <div class="col-md-12">{$LANG.ordersummarybegin}</div>
</div>
    
{else}

    {if !$loggedin && $currencies}
        
    <div class="row">
            
        <div class="col-md-3 text-right">{$LANG.choosecurrency}</div>
        <div class="col-md-2">
            <select id="currency" class="form-control input-md" onchange="currencychange()">
                {foreach from=$currencies item=curr}
                    <option value="{$curr.id}"{if $curr.id eq $currency.id} selected{/if}>{$curr.code}</option>
                {/foreach}
            </select>
            <div class="col-md-7" id="currency_valid_error" style="width: 400px"></div>
        </div>
            
    </div>
    <div class="clearfix">&nbsp;</div>
            
    {/if}

    
    
    {foreach key=num item=domain from=$domains}

    <div class="row {cycle values="rowcolor1,rowcolor2"}"><div class="col-md-12">
        <div class="row" style="background: none;">
            <div class="col-md-9">
                {if $domain.type eq "register"}{$LANG.orderdomainregistration}{else}{$LANG.orderdomaintransfer}{/if}
                &nbsp;-&nbsp; 
                {$domain.domain},
                {$domain.regperiod} {$LANG.orderyears}
            </div>
            <div class="col-md-3 text-right" style="font-weight: bold;">{$domain.price}</div>
        </div>

        {if $domain.dnsmanagement}
        <div class="row" style="background: none;">    
            <div class="col-md-12">&nbsp;+ {$LANG.domaindnsmanagement}</div>
        </div>
        {/if}

        {if $domain.emailforwarding}
        <div class="row" style="background: none;">    
            <div class="col-md-12">&nbsp;+ {$LANG.domainemailforwarding}</div>
        </div>
        {/if}

        {if $domain.idprotection}
        <div class="row" style="background: none;">    
            <div class="col-md-12">&nbsp;+ {$LANG.domainidprotection}</div>
        </div>   
        {/if}    

        {*<div class="clearfix" style="background: none; font-size:50%; height:50%;">&nbsp;</div>*}
    </div></div>

    {/foreach}
    
    {foreach key=num item=product from=$products}
        
    <div class="row {cycle values="rowcolor1,rowcolor2"}"><div class="col-md-12">

        <div class="row" style="background: none;">
            <div class="col-md-9"> 
                {$product.productinfo.groupname}
                &nbsp;-&nbsp;
                {$product.productinfo.name}{if $product.domain}({$product.domain}){/if}:
                {$product.billingcycle}
            </div>
            <div class="col-md-3 text-right" style="font-weight: bold;">
                {$product.pricing.baseprice}{if $product.pricing.setup} + {$product.pricing.setup} {$LANG.ordersetupfee}{/if}{if $product.proratadate} ({$LANG.orderprorata} {$product.proratadate}){/if}
            </div>
        </div>
            
        {if $product.configoptions}
        {foreach key=confnum item=configoption from=$product.configoptions}
            <div class="row" style="background: none;">    
                <div class="col-md-12">
                    &nbsp;{$configoption.name} : {if $configoption.type eq 1 || $configoption.type eq 2}{$configoption.option}{elseif $configoption.type eq 3}{if $configoption.qty}{$LANG.yes}{else}{$LANG.no}{/if}{elseif $configoption.type eq 4}{$configoption.qty} x {$configoption.option}{/if}
                </div>
            </div>
        {/foreach}
        {/if}
        
        
        {if $product.addons}
        {foreach key=addonnum item=addon from=$product.addons}
            <div class="row" style="background: none;">    
                <div class="col-md-12">
                    &nbsp;+ {$LANG.orderaddon} - {$addon.name}
                </div>
            </div>
        {/foreach}
        {/if}

        {*<div class="clearfix" style="background: none; font-size:50%; height:50%;">&nbsp;</div>*}
    </div></div>
        
    {/foreach}
    
    {foreach key=num item=domain from=$renewals}

    <div class="row {cycle values="rowcolor1,rowcolor2"}"><div class="col-md-12">
        
        <div class="row" style="background: none;">
            <div class="col-md-9"> 
                {$LANG.domainrenewal}
                &nbsp;-&nbsp;
                {$domain.domain},
                {$domain.regperiod} {$LANG.orderyears}<br />
                </div>
            <div class="col-md-3 text-right" style="font-weight: bold;">{$domain.price}</div>
        </div>

        {if $domain.dnsmanagement}
        <div class="row" style="background: none;">    
            <div class="col-md-12">&nbsp;+ {$LANG.domaindnsmanagement}</div>
        </div>
        {/if}

        {if $domain.emailforwarding}
        <div class="row" style="background: none;">    
            <div class="col-md-12">&nbsp;+ {$LANG.domainemailforwarding}</div>
        </div>
        {/if}

        {if $domain.idprotection}
        <div class="row" style="background: none;">    
            <div class="col-md-12">&nbsp;+ {$LANG.domainidprotection}</div>
        </div>   
        {/if}    
             
        {*<div class="clearfix" style="background: none; font-size:50%; height:50%;">&nbsp;</div>*}
    </div></div>
        
    {/foreach}

    <div class="row"><div class="col-md-12"><div class="row">
        <div class="col-md-6"></div>
        <div class="col-md-3 text-right">
            {$LANG.ordersubtotal}:
        </div>
        <div class="col-md-3 text-right">{$subtotal}</div>
    </div>
    {*<div class="clearfix" style="background: none; font-size:50%; height:50%;">&nbsp;</div>*}
            
    </div></div>
    
    {if $promotioncode}
    <div class="row"><div class="col-md-12"><div class="row">
        <div class="col-md-6"></div>
        <div class="col-md-3 text-right">
            {$LANG.orderdiscount}:
        </div>
        <div class="col-md-3 text-right">-{$discount}</div>
    </div>
    {*<div class="clearfix" style="background: none; font-size:50%; height:50%;">&nbsp;</div>*}
            
    </div></div>
    {/if}

    {if $taxrate}
    <div class="row"><div class="col-md-12"><div class="row">
        <div class="col-md-6"></div>
        <div class="col-md-3 text-right">
            ({$taxname} @ {$taxrate}%):
        </div>
        <div class="col-md-3 text-right">{$taxtotal}</div>
    </div>
    {*<div class="clearfix" style="background: none; font-size:50%; height:50%;">&nbsp;</div>*}
            
    </div></div>
    {/if}
    
    {if $taxrate2}
    <div class="row"><div class="col-md-12"><div class="row">
        <div class="col-md-6"></div>
        <div class="col-md-3 text-right">
            ({$taxname2} @ {$taxrate2}%):
        </div>
        <div class="col-md-3 text-right">{$taxtotal2}</div>
    </div>
    {*<div class="clearfix" style="background: none; font-size:50%; height:50%;">&nbsp;</div>*}
            
    </div></div>
    {/if}

    
    <div class="row"><div class="col-md-12"><div class="row" style="font-weight:bold; font-size:150%;">
        <div class="col-md-6"></div>
        <div class="col-md-3 text-right" style="border-top:1px solid black;">
            {$LANG.ordertotalduetoday}:
        </div>
        <div class="col-md-3 text-right" style="border-top:1px solid black;">{$total}</div>
    </div>
    {*<div class="clearfix" style="background: none; font-size:50%; height:50%;">&nbsp;</div>*}
            
    </div></div>
    
    {if $totalrecurringmonthly}
    <div class="row"><div class="col-md-12">
    
    <div class="row">
        <div class="col-md-6"></div>
        <div class="col-md-3 text-right small">
            {$LANG.cartrecurringcharges} - {$LANG.orderpaymenttermmonthly}:
        </div>
        <div class="col-md-3 text-right small">{$totalrecurringmonthly}</div>
    </div>
    {*<div class="clearfix" style="background: none; font-size:50%; height:50%;">&nbsp;</div>*}
            
    </div></div>
    {/if}

    
    
    {if $totalrecurringquarterly}
    <div class="row"><div class="col-md-12">
    
    <div class="row">
        <div class="col-md-6"></div>
        <div class="col-md-3 text-right small">
            {$LANG.cartrecurringcharges} - {$LANG.orderpaymenttermquarterly}:
        </div>
        <div class="col-md-3 text-right small">{$totalrecurringquarterly}</div>
    </div>
    {*<div class="clearfix" style="background: none; font-size:50%; height:50%;">&nbsp;</div>*}
            
    </div></div>
    {/if}
    
    
    
    {if $totalrecurringsemiannually}
    <div class="row"><div class="col-md-12">
    
    <div class="row">
        <div class="col-md-6"></div>
        <div class="col-md-3 text-right small">
            {$LANG.cartrecurringcharges} - {$LANG.orderpaymenttermsemiannually}:
        </div>
        <div class="col-md-3 text-right small">{$totalrecurringsemiannually}</div>
    </div>
    {*<div class="clearfix" style="background: none; font-size:50%; height:50%;">&nbsp;</div>*}
            
    </div></div>
    {/if}
    
    
    
    {if $totalrecurringannually}
    <div class="row"><div class="col-md-12">
    
    <div class="row">
        <div class="col-md-6"></div>
        <div class="col-md-3 text-right small">
            {$LANG.cartrecurringcharges} - {$LANG.orderpaymenttermannually}:
        </div>
        <div class="col-md-3 text-right small">{$totalrecurringannually}</div>
    </div>
    {*<div class="clearfix" style="background: none; font-size:50%; height:50%;">&nbsp;</div>*}
            
    </div></div>
    {/if}


    
    {if $totalrecurringbiennially}
    <div class="row"><div class="col-md-12">
    
    <div class="row">
        <div class="col-md-6"></div>
        <div class="col-md-3 text-right small">
            {$LANG.cartrecurringcharges} - {$LANG.orderpaymenttermbiennially}:
        </div>
        <div class="col-md-3 text-right small">{$totalrecurringbiennially}</div>
    </div>
    {*<div class="clearfix" style="background: none; font-size:50%; height:50%;">&nbsp;</div>*}
            
    </div></div>
    {/if}


    
    {if $totalrecurringtriennially}
    <div class="row"><div class="col-md-12">
    
    <div class="row">
        <div class="col-md-6"></div>
        <div class="col-md-3 text-right small">
            {$LANG.cartrecurringcharges} - {$LANG.orderpaymenttermtriennially}:
        </div>
        <div class="col-md-3 text-right small">{$totalrecurringtriennially}</div>
    </div>
    {*<div class="clearfix" style="background: none; font-size:50%; height:50%;">&nbsp;</div>*}
            
    </div></div>
    {/if}

{/if}