<?php
/**
 * template version: 1.0.1
 * 
 * @author Piotr Kozdęba <piotr.ko@modulesgarden.com>
 */

defined('DS')                           ? null : define('DS',DIRECTORY_SEPARATOR);
defined('MAIN_WHMCS_DIR')               ? null : define('MAIN_WHMCS_DIR', substr(dirname(__FILE__),0, strpos(dirname(__FILE__),'modules'.DS.'addons')));
defined('MAIN_WHMCS_DIR_')              ? null : define('MAIN_WHMCS_DIR_', rtrim(MAIN_WHMCS_DIR,DS).DS);
defined('OPO_OWN_DIR')                  ? null : define('OPO_OWN_DIR',    substr(dirname(__FILE__),0, strpos(dirname(__FILE__), DS.'onepageorderform')).DS.'onepageorderform'.DS);
defined('OPO_OWN_BROWSER_ADMIN_DIR')    ? null : define('OPO_OWN_BROWSER_ADMIN_DIR',  '../modules/addons/onepageorderform/');
defined('OPO_OWN_BROWSER_CLIENT_DIR')   ? null : define('OPO_OWN_BROWSER_CLIENT_DIR', 'modules/addons/onepageorderform/');

//Require classes autoloader:
require_once OPO_OWN_DIR.'classes'.DS.'class.autoloader.php';

if (!function_exists('onepageorderform_loadAutoloader'))
{
    function onepageorderform_loadAutoloader()
    {
        OPO_Autoloader::register(OPO_OWN_DIR.'classes'.DS, 'OPO');
    }
}

if (!function_exists('onepageorderform_unloadAutoloader'))
{
    function onepageorderform_unloadAutoloader()
    {
        OPO_Autoloader::unregister();
    }
}

if (!function_exists('onepageorderform_loadErrorHandler'))
{
    function onepageorderform_loadErrorHandler($pageset='global')
    {
        if ( OPO_Configuration_Configuration::$debug_mode)
        {
            error_reporting(E_ALL & ~E_NOTICE);
            ini_set('display_errors', 1);
        }
    }
}

if (!function_exists('onepageorderform_unloadErrorHandler'))
{
    function onepageorderform_unloadErrorHandler()
    {
    }
}


//Checking $core_debug_mode and turning errors globally on if is set to true:
onepageorderform_loadAutoloader();
OPO_Configuration_Configuration::loadConfig();
if (OPO_Configuration_Configuration::$core_debug_mode)
{
    error_reporting(E_ALL & ~E_NOTICE);
    ini_set('display_errors', 1);
}
onepageorderform_unloadAutoloader();